Redmine - Feature #3033

Bug Reporting: Using "Create and continue"” should show bug id of saved bug

2009-03-23 18:50 - Dominik Dorn

Status: Closed Start date: 2009-03-23
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.50 hour
Target version: 1.3.0

Resolution: Fixed

Description

When I fill out the form to report a bug and use "create and continue" it only displays "successfull creation" on the next page.
If | want to find out what ID this bug got (because | want to add it to the "todo" in the sourcecode) i have to click on "Issues" first and

search for my bug.

| would wish, that instead of only "successfull creation" the text would be something like

"Bug #328 successfully created."” so | could simply copy "Bug #328" and paste it into the sourcecode at the appropriate place.
It would be even better, if the link to the bug created would be posted, so | could add a full link to my sourcecode.

thanks.

Related issues:

Has duplicate Redmine - Feature #4651: Display a link to the newly created is...

Closed 2010-01-25

Associated revisions

Revision 6210 - 2011-07-09 21:23 - Jean-Philippe Lang

Adds issue id link in the issue creation flash message (#3033).

History

#1 - 2010-04-09 14:37 - Wolfgang Schnerring

- File show _issue_number_after_create.patch added

attached is a patch to show the issue number in the "successful creation” message.

#2 - 2010-10-05 13:37 - Christian Zagrodnick

Yes, this would be useful indeed!

#3 - 2011-02-15 11:58 - Victor Sergienko

Great thing to have. It could even be an issue link.
Can it be that the patch is not accepted due because it breaks localization?

#4 - 2011-04-05 16:05 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2011-07-09 21:24 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version changed from Candidate for next major release to 1.3.0

- Resolution set to Fixed

Added in r6210.

#6 - 2014-07-05 00:27 - Toshi MARUYAMA

- Has duplicate Feature #4651: Display a link to the newly created issue in the flash message added
https://www.redmine.org/issues/328
https://www.redmine.org/issues/328
https://www.redmine.org/projects/redmine/repository/svn/revisions/6210

show_issue_number_after_create.patch 780 Bytes 2010-04-09 Wolfgang Schnerring

2025-07-04 22


http://www.tcpdf.org

